<template>
  <div>
    <!-- Open Tickets Heading -->
    <div
      class="vx-col w-full flex flex-col justify-between mb-4 lg:order-first md:order-last sm:order-first order-last"
    >
      <!-- <h2 class="mb-1 font-bold">{{ chartData.completionRate }}%</h2> -->
      <span class="font-bold" style="color: black;">Năng suất hoàn thành</span>
    </div>

    <!-- Chart -->
    <div
      class="vx-col w-full lg:w-4/5 md:w-full sm:w-4/5 justify-center mx-auto lg:mt-0 md:mt-6 sm:mt-0 mt-6"
    >
      <VueApexCharts
        class="mt-6 mb-8"
        type="donut"
        height="325"
        :options="analyticsData.completionRateDistributionDonut.chartOptions"
        :series="chartSeries"
      />

      <div class="vx-row" style="margin-top: 50px;">
        <div class="vx-col w-1/2 mb-3">
          <ActivityLegend
            class="mt-2 text-grey"
            label="Đúng giờ"
            :value="cols[0].tasks"
            color="rgb(121,97,249)"
          />
        </div>
        <div class="vx-col w-1/2 mb-3">
          <ActivityLegend
            class="mt-2 text-grey"
            label="Trễ giờ"
            :value="cols[1].tasks"
            color="rgb(255,159,67)"
          />
        </div>
        <div class="vx-col w-1/2 mb-3">
          <ActivityLegend
            class="mt-2 text-grey"
            label="Không đặt thời hạn"
            :value="cols[2].tasks"
            color="rgb(234,84,85)"
          />
        </div>
        <div class="vx-col w-1/2 mb-3">
          <ActivityLegend
            class="mt-2 text-danger"
            label="Chưa hoàn thành"
            :value="cols[3].tasks"
            color="rgb(0,212,189)"
          />
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import VueApexCharts from "vue-apexcharts";
import ActivityLegend from "./ActivityLegend";
import analyticsData from "./analyticsData.js";

export default {
  components: {
    VueApexCharts,
    ActivityLegend
  },
  props: {
    chartData: { type: Object, default: () => ({}) }
  },
  data() {
    return {
      analyticsData: analyticsData
    };
  },
  computed: {
    chartSeries() {
      let series = [];
      this.chartData.columns.forEach(item => {
        series.push(item.percent);
      });
      return series;
    },
    cols() {
      return this.chartData.columns;
    }
  }
};
</script>
